Applications

Deployable applications and their settings, logs and metrics.

Base https://api.nodion.com. Short paths needX-Nodion-Project unless the path already has/v2/projects/{id}. Request bodies are in the interactive docs.

GET/v2/applications

List applications in the current project

Scope readInteractive docs

POST/v2/applications

Create an application in the current project

Scope writeInteractive docs

POST/v2/projects/{id}/applications

Create an application

Scope writeInteractive docs

PUT/v2/applications/{id}/source

Update an application's git source

Scope writeInteractive docs

GET/v2/applications/{id}/console/session

Get the application's shell-console session status

Scope readInteractive docs

DELETE/v2/applications/{id}/console

End the application's shell-console session

Only the session owner may stop the VM. The WebSocket upgrade is GET /v2/applications/{id}/console and is not documented here.

Scope writeInteractive docs

GET/v2/applications/{id}/metrics

Get application metrics

Scope readInteractive docs

GET/v2/applications/{id}/containers

List running containers

Scope readInteractive docs

GET/v2/applications/{id}/containers/stats

Get container resource stats

Scope readInteractive docs

GET/v2/applications/{id}/logs

Get recent application logs

Scope logs:readInteractive docs

GET/v2/applications/{id}/logs/history

Query historical application logs

Scope logs:readInteractive docs

GET/v2/create_rates

List unit prices for usage-based create resources

Scope readInteractive docs